'use strict';
var glob = require('glob');
var path = require('path');

var src_dir = './src/';
global.gm = {
	config: require('./config'),
	commandManager: bullymp.events.call('get_command_manager')[0],
	chat: bullymp.events.call('get_chat')[0]
};

global.data = {
	playerModels: require('./src/data/playerModels'),
	vehicleModels: require('./src/data/vehicleModels'),
	vehicleSpawns: require('./src/data/vehicleSpawns'),
	weaponTypes: require('./src/data/weaponTypes')
};

var modules_pattern = path.join(__dirname, "src/modules/*.js")
glob.sync( modules_pattern ).forEach( function( file ) {
	var obj = global.gm[path.basename( file, '.js' )] = require( path.resolve( file ) );	
});

for(var module in gm)
{
	//console.log("Loading module: " + module);
	if(typeof gm[module].init == 'function')
		gm[module].init();
}

gm.commands(gm.commandManager.add.bind(gm.commandManager));

bullymp.server.gameModeText = 'Freemode';
