'use strict';
const Sequelize = require('sequelize');
var seq = gm.database.seq;

var accountScheme = seq.define('users', {
    id: {
        type: Sequelize.INTEGER,
        autoIncrement: true,
        primaryKey: true,
    },
    name: 'username',
    password: 'userpwd',
    ip: '127.0.0.1',
    accesslevel: 0
});

var dbloaded = false;

function loginPlayer(player, username, password)
{
    accountScheme.findOne({ where: { name: username } })
    .then(accountInst => {
        if (accountInst) {
            if(accountInst.password == password) {
                player.isAuthorized = true;
                player.account_info = accountInst;
                console.log("[Accounting:] Player " + player.name + " logged in as " + username);
                gm.chat.send(player, gm.chat.colors.green, 'You successfully logged in as ' + username + '!');
            } 
            else {
                gm.chat.send(player, gm.chat.colors.red, 'Failed to login wrong password/username.');  
            }
        }
        else {
            player.isAuthorized = false;
            console.log("[Accounting:] Player " + player.name + " failed to find account " + username);
        }
    }).catch(console.log);
}

function onDatabaseConnected()
{
    console.log("[Accounting:] Database connected, enabling accounting...");

    dbloaded = true;
}

function addPlayer(player)
{
    player.isAuthorized = false;
    if(dbloaded)
    {
        gm.chat.send(player,gm.chat.colors.lightcoral, 'You can log into your account by using /login [username] [password].');
        gm.chat.send(player,gm.chat.colors.lightcoral, 'use /register to register on the server which allows you to save your stats!');
    }
}

gm.commandManager.add(['login'], (player, name, pw) => {
    if(!dbloaded)
        return gm.chat.send(player, gm.chat.colors.red, 'The account system is disabled!');

    if(player.isAuthorized)
    {
        gm.chat.send(player, gm.chat.colors.red, 'You\'re already logged in.');
        return;
    }

    if(typeof name === undefined || typeof pw === undefined)
    {
        gm.chat.send(player, gm.chat.colors.grey, 'Syntax: /login [username] [password]');
        return;
    }

    loginPlayer(player, name, pw);
});

module.exports = {
    onDatabaseConnected: onDatabaseConnected,
    addPlayer: addPlayer
}
