'use strict';

module.exports = {
	broadcastMessage: function (color, message) {
		if(!!color && !!message) {
			for(let i = 0; i < bullymp.players.length; i++) {
				if(!!bullymp.players[i]) {
					gm.chat.send(bullymp.players[i], color, message);
				}
			}
		}
	},

	getPlayer: function (idOrName, opt_allowDuplicates, opt_caseSensitive) {
		let allowDuplicates = opt_allowDuplicates || false;
		let caseSensitive = opt_caseSensitive || false;
		let id = parseInt(idOrName);
		let fnCheck;

		if(isNaN(id)) {
			if(caseSensitive === false) {
				idOrName = idOrName.toLowerCase();
			}

			fnCheck = target => {
				let targetName;

				if(caseSensitive === false) {
					targetName = target.name.toLowerCase();
				}
				else {
					targetName = target.name;
				}

				if(targetName.indexOf(idOrName) === 0) {
					return true;
				}

				return false;
			};
		}
		else {
			fnCheck = target => target.id === id;
		}

		let playerArray = [];

		for(let i = 0; i < bullymp.players.length; i++) {
			const tempPlayer = bullymp.players[i];

			if(!!tempPlayer && fnCheck(tempPlayer)) {
				playerArray.push(tempPlayer);

				if(allowDuplicates === false) {
					break;
				}
			}
		}

		return playerArray;
	},

	isValidModelIndex: function(modelIndex) {
		if(isNaN(modelIndex) || modelIndex < 0 || modelIndex > 258 || modelIndex == 1 || modelIndex == 136 || modelIndex == 233 || modelIndex == 82) {
			return false;
		}

		return true;
	},

	findByModelIndex: function(target, id) {
		for(let obj of target) {
			if(typeof obj.modelName === "undefined" || typeof obj.modelId === "undefined") {
				continue;
			}

			if(obj.modelId === id) {
				return obj;
			}
		}

		return undefined;
	},

	findByModelName: function(target, name) {
		for(let obj of target) {
			if(typeof obj.modelName === "undefined" || typeof obj.modelId === "undefined") {
				continue;
			}

			if(obj.modelName === name) {
				return obj;
			}
		}

		return undefined;
	},

	findByPartOfModelName: function(target, partOfName) {
		if(!target)
			return;
			
		partOfName = partOfName.toLowerCase();

		let fnCheck = objName => {
			objName = objName.toLowerCase();

			if(objName.indexOf(partOfName) === 0) {
				return true;
			}

			return false;
		};

		for(let obj of target) {
			if(typeof obj.modelName === "undefined" || typeof obj.modelId === "undefined") {
				continue;
			}

			if(obj.modelName === partOfName || fnCheck(obj.modelName)) {
				return obj;
			}
		}

		return undefined;
	},

	random: function(min, max) {
		return Math.floor(Math.random() * (max - min + 1) + min);
	},

	distanceBetween2D: function(a, b) {
		return Math.sqrt(Math.pow(Math.abs(b.x - a.x), 2) + Math.pow(Math.abs(b.y - a.y), 2));
	},

	distanceBetween3D: function(a, b) {
		return Math.sqrt(Math.pow(Math.abs(b.x - a.x), 2) + Math.pow(Math.abs(b.y - a.y), 2) + Math.pow(Math.abs(b.z - a.z), 2));
	}
}
