'use strict';

module.exports = {
	colors: {
		black: new RGB(0, 0, 0),
		white: new RGB(255, 255, 255),
		lightgrey: new RGB(190, 190, 190),
		tomato: new RGB(255, 99, 71),
	},

	tp_locations: [
		{ name: 'school', areaId: 2, position: new Vector3(-628, -312, 0) },
		{ name: 'schoolgates', areaId: 0, position: new Vector3(303.435, -72.829, 5.790) },
		{ name: 'basement', areaId: 8, position: new Vector3(-756, -58, 9) },
		{ name: 'gym', areaId: 13, position: new Vector3(-619, -60, 59) },
		{ name: 'arcade-race1', areaId: 51, position: new Vector3(-88.389297, 68.735497, 26.634399) },
		{ name: 'arcade-race2', areaId: 52, position: new Vector3(-36.880199, 38.910599, 0.459147) },
		{ name: 'arcade-race3', areaId: 53, position: new Vector3(-39.788101, 62.388302, 62.154202) },
		{ name: 'gokart-race', areaId: 42, position: new Vector3(-392, 481, 1) },
		{ name: 'funhouse', areaId: 37, position: new Vector3(-711, -537, 8) },
		{ name: 'tenements', areaId: 36, position: new Vector3(-544, -44, 31) },
		{ name: 'graveyard', areaId: 0, position: new Vector3(637, 168, 19) },
		{ name: 'bullworth_town', areaId: 0, position: new Vector3(619, -89, 5) },
		{ name: 'bullworth_vale', areaId: 0, position: new Vector3(374, 418, 21) },
		{ name: 'new_coventry', areaId: 0, position: new Vector3(499, -238, 2) },
		{ name: 'boys_dorm', areaId: 14, position: new Vector3(-502, 318, 31) },
		{ name: 'girls_dorm', areaId: 35, position: new Vector3(-439, 311, -7) },
		{ name: 'asylum', areaId: 38, position: new Vector3(-735, 427, 2) },
		{ name: 'library', areaId: 9, position: new Vector3(-775, 203, 90) },
		{ name: 'auditorium', areaId: 19, position: new Vector3(-764.044006, 308.498993, 77.607697) },
		{ name: 'artclass', areaId: 17, position: new Vector3(-527.947021, 383.117004, 14.042800) },
		{ name: 'biologyclass', areaId: 6, position: new Vector3(-709.780029, 312.730011, 33.379501) },
		{ name: 'chemistryclass', areaId: 4, position: new Vector3(-596.921021, 322.786987, 36.532001) },
		{ name: 'englishclass', areaId: 15, position: new Vector3(-560.693970, 320.774994, 9.352460) },
		{ name: 'geographyclass', areaId: 15, position: new Vector3(-560.408020, 315.862000, -1.950740) },
		{ name: 'shopclass', areaId: 18, position: new Vector3(-422.721985, 368.216003, 80.844498) },
		{ name: 'staffroom', areaId: 23, position: new Vector3(-649.495972, 222.126007, 0.439980) },
		{ name: 'spencershipping', areaId: 54, position: new Vector3(-671.099976, -142.108002, -0.022696) },
		{ name: 'principaloffice', areaId: 5, position: new Vector3(-700.955017, 201.244995, 32.653000) },
		{ name: 'dragonswing', areaId: 30, position: new Vector3(-723.096008, 36.172600, -2.328500) },
		{ name: 'junkyardroad', areaId: 43, position: new Vector3(-676.331970, -621.603027, 3.349510) },
		{ name: 'junkyardcentre', areaId: 43, position: new Vector3(-753.546997, -606.705994, 6.752230) },
		{ name: 'bikeshop', areaId: 29, position: new Vector3(-785.145020, 384.995003, 0.008086) },
		{ name: 'boxingroom', areaId: 27, position: new Vector3(-726.921021, 381.609985, 345.053986) },
		{ name: 'boxingring', areaId: 27, position: new Vector3(-715.062012, 373.959015, 295.053986) },
		{ name: 'chemplant', areaId: 20, position: new Vector3(-755.687988, 96.273102, 30.861700) },
		{ name: 'grocerystore', areaId: 26, position: new Vector3(-574.916992, 392.436005, 2.670250) },
		{ name: 'harrington', areaId: 32, position: new Vector3(-566.291992, 133.397003, 48.464600) },
		{ name: 'skatepark', areaId: 62, position: new Vector3(-737.765991, 646.687012, 29.102699) },
		{ name: 'greaser_hideout', areaId: 61,	position: new Vector3(-698.974976, 347.765991, 3.355210) },
		{ name: 'prep_hideout', areaId: 60, position: new Vector3(-768.898010, 360.372009, 6.421100) },
		{ name: 'jock_hideout', areaId: 59, position: new Vector3(-746.359009, 351.735992, 3.517150) },
		{ name: 'townie_hideout', areaId: 57, position: new Vector3(-656.534973, 249.649002, 15.230700) },
		{ name: 'barbershop1', areaId: 56, position: new Vector3(-667.619995, 386.825012, 2.432060) },
		{ name: 'barbershop2', areaId: 39, position: new Vector3(-654.849976, 129.748993, 2.989000) },
		{ name: 'clothingshop1', areaId: 34, position: new Vector3(-647.132019, 261.338989, 0.931481) },
		{ name: 'clothingshop2', areaId: 33, position: new Vector3(-698.400024, 266.799988, 0.030000) },
		{ name: 'carnival_shop', areaId: 50, position: new Vector3(-790.598999, 54.708900, 7.278910) },
		{ name: 'carnival_game1', areaId: 45, position: new Vector3(-793.770020, 90.966797, 9.967950) },
		{ name: 'carnival_game2', areaId: 45, position: new Vector3(-790.817993, 73.966797, 9.967950) },
		{ name: 'carnival_game3', areaId: 45, position: new Vector3(-811.817993, 73.966797, 9.967950) },
		{ name: 'carnival_game4', areaId: 45, position: new Vector3(-831.817993, 73.966797, 9.967950) },
		{ name: 'carnival_game5', areaId: 45, position: new Vector3(-850.817993, 73.966797, 9.967950) },
		{ name: 'carnival_game6', areaId: 45, position: new Vector3(-869.817993, 73.966797, 9.967950) },
		{ name: 'carnival_game7', areaId: 45, position: new Vector3(-890.817993, 73.966797, 9.967950) },
		{ name: 'observatory', areaId: 40, position: new Vector3(-694.966980, 75.752701, 20.251301) },
	],
};
